Rated 5 out of 5 stars

Some time ago i found link here to http://netticat.ath.cx/MyAddons/MyAddons.htm witch has working Highlighter add-on(at bottom of page). You may need to install "Add-on Compatibility Reporter" to be able install it.
This way i installed delicious, bartab, and scrapbook-plus. And they all are working fine on firefox-4.0.1